# Dark mode

> Je suis le cas typique du client qui a besoin obligatoirement d’un *light mode*, sans quoi je n’utilise plus l’application et/ou ==je ne consulte plus le site== (c’est déjà arrivé, j’ai désinstallé l’application et fermé l’onglet de mon navigateur). Dans mon cas, le *dark mode*, contrairement à ce que dit [le document dont parlaient mes collègues], augmente très fortement ma fatigue oculaire. Au bout de trois lignes j’ai la rétine imprimée, des lignes qui flottent devant les yeux, c’est très désagréable.
>
> <cite>*[Dark mode et accessibilité](https://nota-bene.org/Dark-mode-et-accessibilite)* ([cache](/david/cache/2021/544ecea9397616a9f4cfcc6fe27afc3d/))</cite>

C’est la raison pour laquelle — même après avoir [cédé à la mode du foncé](/david/2020/06/25/#paillasse) — je laisse la personne qui consulte cet espace choisir. Utiliser les préférences du système (`prefers-color-scheme`) me semble être insuffisant. Certain·es préfèrent un thème sombre sans pour autant vouloir lire du clair sur foncé, d’autres ne savent pas comment changer le thème au niveau du système.

Pour les astigmates (au moins certain·es en tout cas), ça semble être problématique tout ce qui est clair sur trop sombre, surtout la nuit. Et je crois que c’est un pourcentage non négligeable des internautes…
